complexType "EquityMultipleExercise"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-eqd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | integralMultipleExercise?, minimumNumberOfOptions, maximumNumberOfOptions
</...>

Content Model Elements (3):

  integralMultipleExercise,
  maximumNumberOfOptions (defined in EquityMultipleExercise complexType),
  minimumNumberOfOptions (defined in EquityMultipleExercise complexType)

All Direct / Indirect Based Elements (2):

  equityMultipleExercise (in equityAmericanExercise), | equityMultipleExercise (in equityBermudaExercise)

Known Usage Locations

- As direct type of elements (2):

  equityMultipleExercise (in equityAmericanExercise), | equityMultipleExercise (in equityBermudaExercise)

Annotation
A type for defining the multiple exercise provisions of an American or Bermuda style equity option.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="EquityMultipleExercise"> <xsd:sequence> <xsd:element minOccurs="0" name="integralMultipleExercise" type="PositiveDecimal"/> <xsd:element name="minimumNumberOfOptions" type="NonNegativeDecimal"/> <xsd:element name="maximumNumberOfOptions" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
integralMultipleExercise

  Type: | PositiveDecimal, simple content

  When multiple exercise is applicable and this element is present it specifies that the number of options that can be exercised on a given exercise date must either be equal to the value of this element or be an integral multiple of it.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="integralMultipleExercise" type="PositiveDecimal"/>

maximumNumberOfOptions

  Type: | NonNegativeDecimal, simple content

  When multiple exercise is applicable this element specifies the maximum number of options that can be exercised on a given exercise date. If this element is not present then the maximum number is deemed to be the same as the number of options. Its value can be a fractional number as a result of corporate actions.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="maximumNumberOfOptions" type="NonNegativeDecimal"/>

minimumNumberOfOptions

  Type: | NonNegativeDecimal, simple content

  When multiple exercise is applicable this element specifies the minimum number of options that can be exercised on a given exercise date. If this element is not present then the minimum number is deemed to be 1. Its value can be a fractional number as a result of corporate actions.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="minimumNumberOfOptions" type="NonNegativeDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.